# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models

class Migration(SchemaMigration):

    def forwards(self, orm):

        # Adding model 'ContactSuggestionlist'
        db.create_table('contacts_contactsuggestionlist', (
            ('name', self.gf('django.db.models.fields.CharField')(max_length=100, null=True, blank=True)),
            ('deleted', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('published', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('user_changed', self.gf('django.db.models.fields.related.ForeignKey')(related_name='contactsuggestionlist_changed', to=orm['auth.User'])),
            ('date_changed', self.gf('django.db.models.fields.DateTimeField')()),
            ('system', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('published_dirty', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('version', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['versioning.Version'], null=True, blank=True)),
            ('dirty', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('date_created', self.gf('django.db.models.fields.DateTimeField')()),
            ('user_created', self.gf('django.db.models.fields.related.ForeignKey')(related_name='contactsuggestionlist_created', to=orm['auth.User'])),
            ('new', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('v_id', self.gf('django.db.models.fields.IntegerField')()),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('description', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
        ))
        db.send_create_signal('contacts', ['ContactSuggestionlist'])

        # Adding model 'ContactScenario'
        db.create_table('contacts_contactscenario', (
            ('is_ok', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=100)),
            ('deleted', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('evaluation', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
            ('suggestionlist', self.gf('utils.versioning.models.VersionedForeignKey')(related_name='scenarios', blank=True, null=True, to=orm['contacts.ContactSuggestionlist'])),
            ('published', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('user_changed', self.gf('django.db.models.fields.related.ForeignKey')(related_name='contactscenario_changed', to=orm['auth.User'])),
            ('date_changed', self.gf('django.db.models.fields.DateTimeField')()),
            ('published_dirty', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('version', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['versioning.Version'], null=True, blank=True)),
            ('scope', self.gf('utils.versioning.models.VersionedForeignKey')(related_name='contacts_scenario_set', blank=True, null=True, to=orm['installations.Scope'])),
            ('dirty', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('date_created', self.gf('django.db.models.fields.DateTimeField')()),
            ('user_created', self.gf('django.db.models.fields.related.ForeignKey')(related_name='contactscenario_created', to=orm['auth.User'])),
            ('new', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('v_id', self.gf('django.db.models.fields.IntegerField')()),
            ('type', self.gf('django.db.models.fields.CharField')(max_length=100, null=True, blank=True)),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('description', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
        ))
        db.send_create_signal('contacts', ['ContactScenario'])

        # Adding model 'ContactTreeElement'
        db.create_table('contacts_contacttreeelement', (
            ('rght', self.gf('django.db.models.fields.PositiveIntegerField')(db_index=True)),
            ('lft', self.gf('django.db.models.fields.PositiveIntegerField')(db_index=True)),
            ('user_created', self.gf('django.db.models.fields.related.ForeignKey')(related_name='contacttreeelement_created', to=orm['auth.User'])),
            ('elementtype', self.gf('django.db.models.fields.SmallIntegerField')()),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('object_id', self.gf('django.db.models.fields.IntegerField')(null=True, blank=True)),
            ('version', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['versioning.Version'], null=True, blank=True)),
            ('tree_id', self.gf('django.db.models.fields.PositiveIntegerField')(db_index=True)),
            ('date_changed', self.gf('django.db.models.fields.DateTimeField')()),
            ('v_id', self.gf('django.db.models.fields.IntegerField')()),
            ('gate', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('parent', self.gf('django.db.models.fields.related.ForeignKey')(related_name='contacttreeelement_children', blank=True, null=True, to=orm['contacts.ContactTreeElement'])),
            ('deleted', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('content_type', self.gf('django.db.models.fields.related.ForeignKey')(related_name='contacttreeelement_related', blank=True, null=True, to=orm['contenttypes.ContentType'])),
            ('new', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('scenario', self.gf('utils.versioning.models.VersionedForeignKey')(to=orm['contacts.ContactScenario'])),
            ('level', self.gf('django.db.models.fields.PositiveIntegerField')(db_index=True)),
            ('published_dirty', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('user_changed', self.gf('django.db.models.fields.related.ForeignKey')(related_name='contacttreeelement_changed', to=orm['auth.User'])),
            ('dirty', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('published', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('date_created', self.gf('django.db.models.fields.DateTimeField')()),
        ))
        db.send_create_signal('contacts', ['ContactTreeElement'])

        # Adding model 'ContactEvent'
        db.create_table('contacts_contactevent', (
            ('name', self.gf('django.db.models.fields.CharField')(max_length=100)),
            ('deleted', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('published', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('user_changed', self.gf('django.db.models.fields.related.ForeignKey')(related_name='contactevent_changed', to=orm['auth.User'])),
            ('date_changed', self.gf('django.db.models.fields.DateTimeField')()),
            ('published_dirty', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('version', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['versioning.Version'], null=True, blank=True)),
            ('dirty', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('date_created', self.gf('django.db.models.fields.DateTimeField')()),
            ('user_created', self.gf('django.db.models.fields.related.ForeignKey')(related_name='contactevent_created', to=orm['auth.User'])),
            ('new', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('v_id', self.gf('django.db.models.fields.IntegerField')()),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('description', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
        ))
        db.send_create_signal('contacts', ['ContactEvent'])

        # Adding model 'ContactMeasure'
        db.create_table('contacts_contactmeasure', (
            ('SL', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=100)),
            ('deleted', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('published', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('user_changed', self.gf('django.db.models.fields.related.ForeignKey')(related_name='contactmeasure_changed', to=orm['auth.User'])),
            ('date_changed', self.gf('django.db.models.fields.DateTimeField')()),
            ('published_dirty', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('version', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['versioning.Version'], null=True, blank=True)),
            ('dirty', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('date_created', self.gf('django.db.models.fields.DateTimeField')()),
            ('user_created', self.gf('django.db.models.fields.related.ForeignKey')(related_name='contactmeasure_created', to=orm['auth.User'])),
            ('new', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('v_id', self.gf('django.db.models.fields.IntegerField')()),
            ('tag', self.gf('django.db.models.fields.CharField')(max_length=100, null=True, blank=True)),
            ('type', self.gf('django.db.models.fields.CharField')(db_index=True, max_length=100, null=True, blank=True)),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('description', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
        ))
        db.send_create_signal('contacts', ['ContactMeasure'])

        # Adding model 'ContactProtectionLayer'
        db.create_table('contacts_contactprotectionlayer', (
            ('SL', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=100)),
            ('deleted', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('published', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('user_changed', self.gf('django.db.models.fields.related.ForeignKey')(related_name='contactprotectionlayer_changed', to=orm['auth.User'])),
            ('date_changed', self.gf('django.db.models.fields.DateTimeField')()),
            ('published_dirty', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('version', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['versioning.Version'], null=True, blank=True)),
            ('dirty', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('date_created', self.gf('django.db.models.fields.DateTimeField')()),
            ('user_created', self.gf('django.db.models.fields.related.ForeignKey')(related_name='contactprotectionlayer_created', to=orm['auth.User'])),
            ('new', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('v_id', self.gf('django.db.models.fields.IntegerField')()),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('description', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
        ))
        db.send_create_signal('contacts', ['ContactProtectionLayer'])

        # Adding model 'ContactProtectionLayer_Measure'
        db.create_table('contacts_contactprotectionlayer_measure', (
            ('protectionlayer', self.gf('utils.versioning.models.VersionedForeignKey')(to=orm['contacts.ContactProtectionLayer'])),
            ('deleted', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('published', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('user_changed', self.gf('django.db.models.fields.related.ForeignKey')(related_name='contactprotectionlayer_measure_changed', to=orm['auth.User'])),
            ('date_changed', self.gf('django.db.models.fields.DateTimeField')()),
            ('published_dirty', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('version', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['versioning.Version'], null=True, blank=True)),
            ('dirty', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('date_created', self.gf('django.db.models.fields.DateTimeField')()),
            ('user_created', self.gf('django.db.models.fields.related.ForeignKey')(related_name='contactprotectionlayer_measure_created', to=orm['auth.User'])),
            ('new', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('v_id', self.gf('django.db.models.fields.IntegerField')()),
            ('measure', self.gf('utils.versioning.models.VersionedForeignKey')(to=orm['contacts.ContactMeasure'])),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
        ))
        db.send_create_signal('contacts', ['ContactProtectionLayer_Measure'])

        # Adding model 'ContactAPSuggestionlist'
        db.create_table('contacts_contactapsuggestionlist', (
            ('name', self.gf('django.db.models.fields.CharField')(max_length=100, null=True, blank=True)),
            ('deleted', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('published', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('user_changed', self.gf('django.db.models.fields.related.ForeignKey')(related_name='contactapsuggestionlist_changed', to=orm['auth.User'])),
            ('date_changed', self.gf('django.db.models.fields.DateTimeField')()),
            ('system', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('published_dirty', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('version', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['versioning.Version'], null=True, blank=True)),
            ('dirty', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('date_created', self.gf('django.db.models.fields.DateTimeField')()),
            ('user_created', self.gf('django.db.models.fields.related.ForeignKey')(related_name='contactapsuggestionlist_created', to=orm['auth.User'])),
            ('new', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('v_id', self.gf('django.db.models.fields.IntegerField')()),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('description', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
        ))
        db.send_create_signal('contacts', ['ContactAPSuggestionlist'])

        # Adding model 'ContactAttentionPoint'
        db.create_table('contacts_contactattentionpoint', (
            ('SL', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=100)),
            ('deleted', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('suggestionlist', self.gf('utils.versioning.models.VersionedForeignKey')(related_name='attentionpoints', blank=True, null=True, to=orm['contacts.ContactAPSuggestionlist'])),
            ('published', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('user_changed', self.gf('django.db.models.fields.related.ForeignKey')(related_name='contactattentionpoint_changed', to=orm['auth.User'])),
            ('date_changed', self.gf('django.db.models.fields.DateTimeField')()),
            ('published_dirty', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('version', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['versioning.Version'], null=True, blank=True)),
            ('dirty', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('date_created', self.gf('django.db.models.fields.DateTimeField')()),
            ('user_created', self.gf('django.db.models.fields.related.ForeignKey')(related_name='contactattentionpoint_created', to=orm['auth.User'])),
            ('new', self.gf('django.db.models.fields.BooleanField')(default=True, blank=True)),
            ('v_id', self.gf('django.db.models.fields.IntegerField')()),
            ('measure', self.gf('utils.versioning.models.VersionedForeignKey')(related_name='attentionpoints', blank=True, null=True, to=orm['contacts.ContactMeasure'])),
            ('type', self.gf('django.db.models.fields.CharField')(db_index=True, max_length=100, null=True, blank=True)),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('description', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
        ))
        db.send_create_signal('contacts', ['ContactAttentionPoint'])


    def backwards(self, orm):

        # Deleting model 'ContactSuggestionlist'
        db.delete_table('contacts_contactsuggestionlist')

        # Deleting model 'ContactScenario'
        db.delete_table('contacts_contactscenario')

        # Deleting model 'ContactTreeElement'
        db.delete_table('contacts_contacttreeelement')

        # Deleting model 'ContactEvent'
        db.delete_table('contacts_contactevent')

        # Deleting model 'ContactMeasure'
        db.delete_table('contacts_contactmeasure')

        # Deleting model 'ContactProtectionLayer'
        db.delete_table('contacts_contactprotectionlayer')

        # Deleting model 'ContactProtectionLayer_Measure'
        db.delete_table('contacts_contactprotectionlayer_measure')

        # Deleting model 'ContactAPSuggestionlist'
        db.delete_table('contacts_contactapsuggestionlist')

        # Deleting model 'ContactAttentionPoint'
        db.delete_table('contacts_contactattentionpoint')


    models = {
        'auth.group': {
            'Meta': {'object_name': 'Group'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '80', 'unique': 'True'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'})
        },
        'auth.permission': {
            'Meta': {'unique_together': "(('content_type', 'codename'),)", 'object_name': 'Permission'},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contenttypes.ContentType']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        'auth.user': {
            'Meta': {'object_name': 'User'},
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Group']", 'symmetrical': 'False', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'max_length': '30', 'unique': 'True'})
        },
        'contacts.contactapsuggestionlist': {
            'Meta': {'object_name': 'ContactAPSuggestionlist'},
            'date_changed': ('django.db.models.fields.DateTimeField', [], {}),
            'date_created': ('django.db.models.fields.DateTimeField', [], {}),
            'deleted': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'new': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'published_dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'system': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'user_changed': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'contactapsuggestionlist_changed'", 'to': "orm['auth.User']"}),
            'user_created': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'contactapsuggestionlist_created'", 'to': "orm['auth.User']"}),
            'v_id': ('django.db.models.fields.IntegerField', [], {}),
            'version': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['versioning.Version']", 'null': 'True', 'blank': 'True'})
        },
        'contacts.contactattentionpoint': {
            'Meta': {'object_name': 'ContactAttentionPoint'},
            'SL': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'date_changed': ('django.db.models.fields.DateTimeField', [], {}),
            'date_created': ('django.db.models.fields.DateTimeField', [], {}),
            'deleted': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'measure': ('utils.versioning.models.VersionedForeignKey', [], {'related_name': "'attentionpoints'", 'blank': 'True', 'null': 'True', 'to': "orm['contacts.ContactMeasure']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'new': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'published_dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'suggestionlist': ('utils.versioning.models.VersionedForeignKey', [], {'related_name': "'attentionpoints'", 'blank': 'True', 'null': 'True', 'to': "orm['contacts.ContactAPSuggestionlist']"}),
            'type': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'user_changed': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'contactattentionpoint_changed'", 'to': "orm['auth.User']"}),
            'user_created': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'contactattentionpoint_created'", 'to': "orm['auth.User']"}),
            'v_id': ('django.db.models.fields.IntegerField', [], {}),
            'version': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['versioning.Version']", 'null': 'True', 'blank': 'True'})
        },
        'contacts.contactevent': {
            'Meta': {'object_name': 'ContactEvent'},
            'date_changed': ('django.db.models.fields.DateTimeField', [], {}),
            'date_created': ('django.db.models.fields.DateTimeField', [], {}),
            'deleted': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'new': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'published_dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'user_changed': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'contactevent_changed'", 'to': "orm['auth.User']"}),
            'user_created': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'contactevent_created'", 'to': "orm['auth.User']"}),
            'v_id': ('django.db.models.fields.IntegerField', [], {}),
            'version': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['versioning.Version']", 'null': 'True', 'blank': 'True'})
        },
        'contacts.contactmeasure': {
            'Meta': {'object_name': 'ContactMeasure'},
            'SL': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'date_changed': ('django.db.models.fields.DateTimeField', [], {}),
            'date_created': ('django.db.models.fields.DateTimeField', [], {}),
            'deleted': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'new': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'published_dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'tag': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'type': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'user_changed': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'contactmeasure_changed'", 'to': "orm['auth.User']"}),
            'user_created': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'contactmeasure_created'", 'to': "orm['auth.User']"}),
            'v_id': ('django.db.models.fields.IntegerField', [], {}),
            'version': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['versioning.Version']", 'null': 'True', 'blank': 'True'})
        },
        'contacts.contactprotectionlayer': {
            'Meta': {'object_name': 'ContactProtectionLayer'},
            'SL': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'date_changed': ('django.db.models.fields.DateTimeField', [], {}),
            'date_created': ('django.db.models.fields.DateTimeField', [], {}),
            'deleted': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'new': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'published_dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'user_changed': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'contactprotectionlayer_changed'", 'to': "orm['auth.User']"}),
            'user_created': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'contactprotectionlayer_created'", 'to': "orm['auth.User']"}),
            'v_id': ('django.db.models.fields.IntegerField', [], {}),
            'version': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['versioning.Version']", 'null': 'True', 'blank': 'True'})
        },
        'contacts.contactprotectionlayer_measure': {
            'Meta': {'object_name': 'ContactProtectionLayer_Measure'},
            'date_changed': ('django.db.models.fields.DateTimeField', [], {}),
            'date_created': ('django.db.models.fields.DateTimeField', [], {}),
            'deleted': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'measure': ('utils.versioning.models.VersionedForeignKey', [], {'to': "orm['contacts.ContactMeasure']"}),
            'new': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'protectionlayer': ('utils.versioning.models.VersionedForeignKey', [], {'to': "orm['contacts.ContactProtectionLayer']"}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'published_dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'user_changed': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'contactprotectionlayer_measure_changed'", 'to': "orm['auth.User']"}),
            'user_created': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'contactprotectionlayer_measure_created'", 'to': "orm['auth.User']"}),
            'v_id': ('django.db.models.fields.IntegerField', [], {}),
            'version': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['versioning.Version']", 'null': 'True', 'blank': 'True'})
        },
        'contacts.contactscenario': {
            'Meta': {'object_name': 'ContactScenario'},
            'date_changed': ('django.db.models.fields.DateTimeField', [], {}),
            'date_created': ('django.db.models.fields.DateTimeField', [], {}),
            'deleted': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'evaluation': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_ok': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'new': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'published_dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'scope': ('utils.versioning.models.VersionedForeignKey', [], {'related_name': "'contacts_scenario_set'", 'blank': 'True', 'null': 'True', 'to': "orm['installations.Scope']"}),
            'suggestionlist': ('utils.versioning.models.VersionedForeignKey', [], {'related_name': "'scenarios'", 'blank': 'True', 'null': 'True', 'to': "orm['contacts.ContactSuggestionlist']"}),
            'type': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'user_changed': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'contactscenario_changed'", 'to': "orm['auth.User']"}),
            'user_created': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'contactscenario_created'", 'to': "orm['auth.User']"}),
            'v_id': ('django.db.models.fields.IntegerField', [], {}),
            'version': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['versioning.Version']", 'null': 'True', 'blank': 'True'})
        },
        'contacts.contactsuggestionlist': {
            'Meta': {'object_name': 'ContactSuggestionlist'},
            'date_changed': ('django.db.models.fields.DateTimeField', [], {}),
            'date_created': ('django.db.models.fields.DateTimeField', [], {}),
            'deleted': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'new': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'published_dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'system': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'user_changed': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'contactsuggestionlist_changed'", 'to': "orm['auth.User']"}),
            'user_created': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'contactsuggestionlist_created'", 'to': "orm['auth.User']"}),
            'v_id': ('django.db.models.fields.IntegerField', [], {}),
            'version': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['versioning.Version']", 'null': 'True', 'blank': 'True'})
        },
        'contacts.contacttreeelement': {
            'Meta': {'object_name': 'ContactTreeElement'},
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'contacttreeelement_related'", 'blank': 'True', 'null': 'True', 'to': "orm['contenttypes.ContentType']"}),
            'date_changed': ('django.db.models.fields.DateTimeField', [], {}),
            'date_created': ('django.db.models.fields.DateTimeField', [], {}),
            'deleted': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'elementtype': ('django.db.models.fields.SmallIntegerField', [], {}),
            'gate': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'level': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'lft': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'new': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'object_id': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'parent': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'contacttreeelement_children'", 'blank': 'True', 'null': 'True', 'to': "orm['contacts.ContactTreeElement']"}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'published_dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'rght': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'scenario': ('utils.versioning.models.VersionedForeignKey', [], {'to': "orm['contacts.ContactScenario']"}),
            'tree_id': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'user_changed': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'contacttreeelement_changed'", 'to': "orm['auth.User']"}),
            'user_created': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'contacttreeelement_created'", 'to': "orm['auth.User']"}),
            'v_id': ('django.db.models.fields.IntegerField', [], {}),
            'version': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['versioning.Version']", 'null': 'True', 'blank': 'True'})
        },
        'contenttypes.contenttype': {
            'Meta': {'unique_together': "(('app_label', 'model'),)", 'object_name': 'ContentType', 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'installations.scope': {
            'Meta': {'object_name': 'Scope'},
            'auto': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'date_changed': ('django.db.models.fields.DateTimeField', [], {}),
            'date_created': ('django.db.models.fields.DateTimeField', [], {}),
            'deleted': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'new': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'published_dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'user_changed': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'scope_changed'", 'to': "orm['auth.User']"}),
            'user_created': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'scope_created'", 'to': "orm['auth.User']"}),
            'v_id': ('django.db.models.fields.IntegerField', [], {}),
            'version': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['versioning.Version']", 'null': 'True', 'blank': 'True'})
        },
        'versioning.version': {
            'Meta': {'object_name': 'Version'},
            'date': ('django.db.models.fields.DateTimeField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'user': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'created_versions'", 'to': "orm['auth.User']"})
        }
    }

    complete_apps = ['contacts']
