# Contact scenario views

from analyses.analysisbase.views import scenario as base_views

from analyses.contacts import models as app_models
from analyses.contacts import forms as app_forms
from analyses.contacts import tables as app_tables
from django.utils.translation import ugettext_lazy as _
from utils import crud

class MixIn(object):
    "Common items for object views"
    appconfig = app_models.AppConfig
    model = appconfig.get_model('scenario')

class display_scenario(MixIn, base_views.display_scenario):
    pass

class display_causetree(MixIn, base_views.display_causetree):
    pass

class display_evaluation(MixIn, base_views.display_evaluation):
    pass

class display(MixIn, crud.TabContainer):
    tabviews = {
        'scenario': display_scenario(),
        'causetree': display_causetree(),
        'evaluation': display_evaluation(),
    }
    default = 'scenario'

class edit_scenario(MixIn, base_views.edit_scenario):
    pass

class edit_causetree(MixIn, base_views.edit_causetree):
    pass

class edit_evaluation(MixIn, base_views.edit_evaluation):
    pass

class edit(MixIn, crud.TabContainer):
    tabviews = {
        'scenario': edit_scenario(),
        'causetree': edit_causetree(),
        'evaluation': edit_evaluation(),
    }
    default = 'scenario'

class delete(MixIn, base_views.delete):
    pass

class report(MixIn, base_views.report):
    pass

class add_to_scope(MixIn, base_views.add_to_scope):
    pass

class add_to_suggestionlist(MixIn, base_views.add_to_suggestionlist):
    pass

class compare_scenario(MixIn, base_views.compare_scenario):
    pass

class compare_causetree(MixIn, base_views.compare_causetree):
    pass

class compare(MixIn, crud.TabContainer):
    tabviews = {
        'scenario': compare_scenario(),
        'causetree': compare_causetree(),
    }
    default = 'scenario'

class move(MixIn, base_views.move):
    pass

class move_to_sl(MixIn, base_views.move_to_sl):
    pass

class copy(MixIn, base_views.copy):
    pass

class copy_to_sl(MixIn, base_views.copy_to_sl):
    pass

class publish(MixIn, base_views.publish):
    pass

def type_lookup(request):
    return base_views.type_lookup(request, app_models.AppConfig)

def name_lookup(request):
    return base_views.name_lookup(request, app_models.AppConfig)

class ScenarioFilter(MixIn, base_views.ScenarioFilter):
    pass

class ScenarioListObject(MixIn, base_views.ScenarioListObject):
    pass

class scenarios(MixIn, base_views.scenarios):
    filter = ScenarioFilter()
    listobject = ScenarioListObject()

class activate(MixIn, base_views.activate):
    pass

views = {
    'display': display(),
    'edit': edit(),
    'delete': delete(),
    'report': report(),
    'add_to_scope': add_to_scope(),
    'add_to_suggestionlist': add_to_suggestionlist(),
    'compare': compare(),
    'move': move(),
    'move_to_sl': move_to_sl(),
    'copy': copy(),
    'copy_to_sl': copy_to_sl(),
    'publish': publish(),
    'scenarios': scenarios(),
    'type_lookup': type_lookup,
    'name_lookup': name_lookup,
    'activate': activate(),
}

