# attentionpoint views

from analyses.analysisbase.views import attentionpoint as base_views

from analyses.degradations import models as app_models
from analyses.degradations import forms as app_forms
from analyses.degradations import tables as app_tables
from django.utils.translation import ugettext_lazy as _
from utils import crud

class MixIn(object):
    "Common items for object views"
    appconfig = app_models.AppConfig
    model = appconfig.get_model('attentionpoint')
    parent_class = appconfig.get_model('measure')

class display(MixIn, base_views.display):
    pass

class edit(MixIn, base_views.edit):
    pass

class delete(MixIn, base_views.delete):
    pass

class report(MixIn, base_views.report):
    pass

class add_to_measure(MixIn, base_views.add_to_measure):
    pass

class add_to_apsuggestionlist(MixIn, base_views.add_to_apsuggestionlist):
    pass

class compare(MixIn, base_views.compare):
    pass

def type_lookup(request):
    return base_views.type_lookup(request, app_models.AppConfig)

def name_lookup(request):
    return base_views.name_lookup(request, app_models.AppConfig)

class AttentionPointFilter(MixIn, base_views.AttentionPointFilter):
    pass

class AttentionPointListObject(MixIn, base_views.AttentionPointListObject):
    pass

class attentionpoints(MixIn, base_views.attentionpoints):
    filter = AttentionPointFilter()
    listobject = AttentionPointListObject()

views = {
    'display': display(),
    'edit': edit(),
    'delete': delete(),
    'report': report(),
    'add_to_measure': add_to_measure(),
    'add_to_apsuggestionlist': add_to_apsuggestionlist(),
    'compare': compare(),
    'type_lookup': type_lookup,
    'name_lookup': name_lookup,
    'attentionpoints': attentionpoints(),
}
