from django.core.management.base import BaseCommand, CommandError
from utils.exchange import exchange
from django.contrib.auth.models import User
from django.db import transaction

class Command(BaseCommand):
    help = 'Set lopa dirty flag on all scenarios in the database.'
    args = "---"

    @transaction.commit_on_success
    def handle(self, *labels, **options):
        from analyses.deviations.models import DeviationScenario
        from utils.versioning.models import WorkVersion
        output = []
        scenarios = DeviationScenario.objects.get_versionedobjects(WorkVersion)
        for scenario in scenarios:
            scenario.set_lopa_dirty()
        output.append('Reset lopa dirty flag for all scenarios.')
        return '\n'.join(output)


