# attention point suggestion list views

from analyses.analysisbase.views import apsuggestionlist as base_views
from analyses.deviations import models as app_models
from analyses.deviations import forms as app_forms
from analyses.deviations import tables as app_tables

from utils import crud

class MixIn(object):
    "Common items for object views"
    appconfig = app_models.AppConfig
    model = appconfig.get_model('apsuggestionlist')

class display_suggestionlist(MixIn, base_views.display_suggestionlist):
    pass

class display_attentionpoints(MixIn, base_views.display_attentionpoints):
    pass

class display(MixIn, crud.TabContainer):
    tabviews = {
        'suggestionlist': display_suggestionlist(),
        'attentionpoints': display_attentionpoints(),
    }
    default = 'suggestionlist'

class edit(MixIn, base_views.edit):
    pass

class delete(MixIn, base_views.delete):
    pass

class report(MixIn, base_views.report):
    pass

class add(MixIn, base_views.add):
    pass

class compare(MixIn, base_views.compare):
    pass

class publish(MixIn, base_views.publish):
    pass

class APSuggestionlistListObject(MixIn, base_views.APSuggestionlistListObject):
    pass

class apsuggestionlists(MixIn, base_views.apsuggestionlists):
    listobject = APSuggestionlistListObject()

class apsuggestionlists_for_measure(MixIn, base_views.apsuggestionlists_for_measure):
    pass

class SuggestionListInline(MixIn, base_views.SuggestionListInline):
    pass

class apsuggestionlist_for_measure(MixIn, base_views.apsuggestionlist_for_measure):
    inline = SuggestionListInline

views = {
    'display': display(),
    'edit': edit(),
    'delete': delete(),
    'report': report(),
    'add': add(),
    'compare': compare(),
    'publish': publish(),
    'apsuggestionlists': apsuggestionlists(),
    'apsuggestionlists_for_measure': apsuggestionlists_for_measure(),
    'apsuggestionlist_for_measure': apsuggestionlist_for_measure(),

}







