# event views

from analyses.analysisbase.views import event as base_views

from analyses.deviations import models as app_models
from analyses.deviations import forms as app_forms
from analyses.deviations import tables as app_tables


class MixIn(object):
    "Common items for object views"
    appconfig = app_models.AppConfig
    model = appconfig.get_model('event')

class display(MixIn, base_views.display):
    form_class = app_forms.CauseSheet

class edit(MixIn, base_views.edit):
    form_class = app_forms.CauseForm
    template = 'deviations/cause_edit.html'

class delete(MixIn, base_views.delete):
    form_class = app_forms.CauseSheet

class add_to_scenario(MixIn, base_views.add_to_scenario):
    form_class = app_forms.CauseForm

class compare(MixIn, base_views.compare):
    form_class = app_forms.CauseSheet

views = {
    'display': display(),
    'edit': edit(),
    'delete': delete(),
    'add_to_scenario': add_to_scenario(),
    'compare': compare(),
}

