"""
Url configuration for all analysis modules
The key part is in the main module.

"""

from django.conf.urls import *
from analyses import views
from analyses.analysisbase.views import main
from utils.urlhelpers import decorated_patterns
from utils.permissions import login_required

from analyses.main import get_urls

urlpatterns = patterns('',
    url(r'^', include(get_urls())),
)

urlpatterns += patterns('',
    url(r'^deactivate/$', main.deactivate,
        name='analyses_analysistype_deactivate'),
    url(r'^$', main.scenarios, name='scenarios'),
    url(r'^suggestionlists/$', main.suggestionlists, name='suggestionlists'),
)

urlpatterns += decorated_patterns('', login_required,
    url(r'^allsuggestionlists/pdf/$', views.allsuggestionlistsreport(),
        name='analyses_allsuggestionlistsreport'),
)
