from django.contrib.auth.models import User, Group
from django.contrib.auth.backends import ModelBackend
from django.conf import settings

class AutoLoginAuthMiddleware(object):
    def process_request(self, request):
        from django.contrib.auth import authenticate, login
        # AuthenticationMiddleware is required to create request.user
        error = """The AutoLoginAuthMiddleware middleware requires authentication middleware to be installed. Edit your MIDDLEWARE_CLASSES
setting to insert 'django.contrib.auth.middleware.AuthenticationMiddleware' *before* the AutoLoginAuthMiddleware class."""
        assert hasattr(request, 'user'), error
        if request.user.is_anonymous():
            user = None
            try:
                user = authenticate(username='USER', password='autologin')
            except KeyError:
                pass # No guest user available
            if user is not None:
                login(request, user)   # auto-login the user to Django
        return None



