import tempfile
import os

try:
    from PIL import Image, ImageDraw, ImageFont
except:
    import Image, ImageDraw, ImageFont

def rotated_text_image(rotate_text=u'test', padding=5, color='black', fontsize=12):
    f = tempfile.NamedTemporaryFile(delete=False, suffix='.gif')

    try:
        ttfdir = os.path.dirname(os.path.dirname(os.path.abspath(__file__)))
        ttffile = os.path.join(ttfdir, 'sitemedia/arialbd.ttf')
        font = ImageFont.truetype(ttffile, fontsize)
    except:
        try:
            font = ImageFont.truetype("arialbd.ttf", fontsize)
        except:
            try:
                font = ImageFont.truetype("arial_bold.ttf", fontsize)
            except:
                try:
                    font = ImageFont.truetype("arial.ttf", fontsize)
                except:
                    font = ImageFont.load_default()


    size = font.getsize(rotate_text)
    size = (size[0] + 2*padding, size[1] + 2*padding)
    img_txt = Image.new('RGB', size, 'white')
    draw = ImageDraw.Draw(img_txt)
    draw.text((padding,padding), rotate_text, font=font, fill=color)
    img = img_txt.rotate(90) # expand=1
    img.save(f, 'GIF')
    f.close()
    return f, img.size

def delete_image(f):
    os.unlink(f)