"""

urls for the versioning app

"""
from django.conf.urls import *
from utils.versioning.views import version
from utils.urlhelpers import decorated_patterns
from utils.permissions import permission_required

urlpatterns = decorated_patterns('', permission_required('versioning.display_published_versions'),
    url(r'^$', version.versions(), name='versioning'),

    url(r'^versions/$', version.versions(), name='versioning_versions'),
    url(r'^versions/(?P<object_id>\d+)/create_version/$', version.create_version(), name='versioning_version_create_version'),
    url(r'^versions/(?P<object_id>\d+)/create_version/ajax/$', version.create_version_ajax, name='versioning_version_create_version_ajax'),
    url(r'^versions/(?P<object_id>\d+)/activate/$', version.activate, name='versioning_version_activate'),
    url(r'^versions/(?P<object_id>\d+)/restore/$', version.restore(), name='versioning_version_restore'),
    url(r'^versions/(?P<object_id>\d+)/merge/$', version.merge(), name='versioning_version_merge'),
    url(r'^versions/(?P<object_id>\d+)/(?P<tab>\w+)/$', version.display(), name='versioning_version'),
    url(r'^versions/add/$', version.add(), name='versioning_version_add'),
    url(r'^versions/deactivate/$', version.deactivate, name='versioning_version_deactivate'),

    url(r'^history-for/(?P<app_label>[\w\-]+)/(?P<model_name>[\w\-]+)/(?P<object_id>\d+)/$', version.history(), name="versioning_history"),

    url(r'^changedobjects/$', version.changedobjects(), name='versioning_changedobjects'),
    url(r'^changedpublicobjects/$', version.changedpublicobjects(), name='versioning_changedpublicobjects'),

)

